rvm_flush(3)

NAME
rvm_flush - flush log records to log file

SYNOPSIS

#include "rvm.h"
rvm_return_t rvm_flush ()

DESCRIPTION
rvm_flush makes visible the log flush operation, which moves transaction records to the log file and insures the permanence of the changes represented by those records. It is normally done with a transaction commit, but is available to the application if it wishes to schedule the flush after a sequence of no_flush transactions. rvm_flush is synchronous with the calling thread.

DIAGNOSTICS

RVM_SUCCESS
    success

RVM_ELOG
    no log file has been specified

RVM_EINIT
    RVM not initialized

SEE ALSO
rvm_end_transaction (3)

AUTHOR
Hank Mashburn